--- Makefile.am.old	2008-10-07 10:42:11.000000000 +0200
+++ Makefile.am	2008-10-07 10:49:35.000000000 +0200
@@ -1,18 +1,6 @@
 
-gamesdir = $(prefix)/games
-scoredir = /var/games/tecnoballz
-score = tecnoballz.hi
+localstate_DATA = tecnoballz.hi
 
-SUBDIRS = src 
+SUBDIRS = src man
 
-pkgdatadir = $(mandir)/man6
-dist_pkgdata_DATA = man/tecnoballz.6
-
-install-data-hook:
-	-chown root:games "$(DESTDIR)/$(gamesdir)/tecnoballz"
-	-chmod 2755 "$(DESTDIR)/$(gamesdir)/tecnoballz"
-	$(INSTALL) -d $(DESTDIR)/$(scoredir)
-	$(INSTALL) $(score) $(DESTDIR)/$(scoredir) 
-	-chown root:games "$(DESTDIR)/$(scoredir)/$(score)"
-	-chmod 664 "$(DESTDIR)/$(scoredir)/$(score)"
 
--- src/Makefile.am.old	2008-10-07 11:16:44.000000000 +0200
+++ src/Makefile.am	2008-10-07 11:18:32.000000000 +0200
@@ -1,14 +1,12 @@
 
 NULL =
-gamesdir = $(prefix)/games
-scoredir = /var/games/tecnoballz
 score = tecnoballz.hi
 
 SUBDIRS = TecnoballZ 
 
-games_PROGRAMS = tecnoballz
+bin_PROGRAMS = tecnoballz
 tecnoballz_SOURCES = $(SOURCES_MAIN) 
-tecnoballz_CXXFLAGS = -DDATADIR=\"$(datadir)/tecnoballz\" -DSCOREFILE=\"$(scoredir)/$(score)\" @XLIB_CFLAGS@ @SDL_CFLAGS@ @MIKMOD_FLAGS@ 
+tecnoballz_CXXFLAGS = -DDATADIR=\"$(datadir)/tecnoballz\" -DSCOREFILE=\"$(localstatedir)/$(score)\" @XLIB_CFLAGS@ @SDL_CFLAGS@ @MIKMOD_FLAGS@ 
 tecnoballz_LDADD = @XLIB_LIBS@ @SDL_LIBS@ @MM_LIBS@ @MIKMOD_LIBS@ -L.
 
 SOURCES_MAIN = \
--- src/TecnoballZ/Makefile.am.old	2008-10-07 17:17:47.000000000 +0200
+++ src/TecnoballZ/Makefile.am	2008-10-07 17:20:03.000000000 +0200
@@ -1,6 +1,6 @@
 NULL =
 
-SUBDIRS = lores hires textures sounds musics
+SUBDIRS = lores hires textures sounds musics texts
 
 pkgdatadir = $(datadir)/tecnoballz
 dist_pkgdata_DATA = \
@@ -14,4 +14,5 @@
   tilemap-guardians_40.data \
   tilemap-menu_20.data \
 	tilemap-menu_40.data \
+	levels-data.xml \
 	$(NULL)
--- /dev/null	2008-09-26 15:07:13.448004290 +0200
+++ src/TecnoballZ/texts/Makefile.am	2008-10-07 17:30:18.000000000 +0200
@@ -0,0 +1,11 @@
+textsdir = $(pkgdatadir)/texts
+texts_DATA = main_menu_en.txt \
+	main_menu_fr.txt \
+	popup_menu_en.txt \
+	popup_menu_fr.txt \
+	scrolltext_en.txt \
+	scrolltext_fr.txt \
+	shop_en.txt \
+	shop_fr.txt \
+	short_info_messages_en.txt \
+	short_info_messages_fr.txt
--- configure.ac.old	2008-10-08 23:10:26.000000000 +0200
+++ configure.ac	2008-10-08 23:11:08.000000000 +0200
@@ -50,21 +50,6 @@
 
 LDFLAGS_="${LDFLAGS_save}"
 
-AC_CHECK_LIB(vorbisfile, ov_raw_seek, [
-	MM_LIBS="${MM_LIBS} -lvorbisfile"
-],[
-	AC_MSG_ERROR(Could not find the vorbisfile lib : -lvorbisfile)
-])
-AC_CHECK_LIB(ogg, ogg_stream_packetin, [
-	MM_LIBS="${MM_LIBS} -logg"
-],[
-	AC_MSG_ERROR(Could not find the ogg lib : -logg)
-])
-AC_CHECK_LIB(smpeg, SMPEG_play, [
-	MM_LIBS="${MM_LIBS} -lsmpeg"
-],[
-	AC_MSG_ERROR(Could not find the smpeg lib : -lsmpeg)
-])
 AC_SUBST(MM_LIBS)
 
 AC_CHECK_LIB(mikmod, Player_Stop, [
@@ -81,5 +81,8 @@
 
 
 dnl  Output makefiles
-AC_OUTPUT(Makefile src/Makefile src/TecnoballZ/Makefile src/TecnoballZ/hires/Makefile src/TecnoballZ/lores/Makefile src/TecnoballZ/textures/Makefile src/TecnoballZ/musics/Makefile src/TecnoballZ/sounds/Makefile)
+AC_OUTPUT(Makefile src/Makefile src/TecnoballZ/Makefile src/TecnoballZ/hires/Makefile src/TecnoballZ/lores/Makefile src/TecnoballZ/textures/Makefile src/TecnoballZ/musics/Makefile src/TecnoballZ/sounds/Makefile
+	src/TecnoballZ/texts/Makefile
+	man/Makefile
+	man/fr/Makefile)
 
--- /dev/null	2008-09-26 15:07:13.448004290 +0200
+++ man/Makefile.am	2008-10-08 10:36:15.000000000 +0200
@@ -0,0 +1,2 @@
+SUBDIRS = fr
+man_MANS = tecnoballz.6
--- /dev/null	2008-09-26 15:07:13.448004290 +0200
+++ man/fr/Makefile.am	2008-10-08 10:36:15.000000000 +0200
@@ -0,0 +1,2 @@
+mandir = @mandir@/fr
+man_MANS = tecnoballz.6
